Subject: Re: Route cache performance under stress

From: Jamal Hadi <[email-masked]>
Date: Mon, 9 Jun 2003 09:22:11 -0400 (EDT)

On Mon, 9 Jun 2003, David S. Miller wrote:

>    From: Jamal Hadi <[email-masked]>
>    Date: Mon, 9 Jun 2003 08:18:50 -0400 (EDT)
>
>    I found in my tests with a ethernet driver that prefetching the
>    _next_ dma descriptor gave better numbers than prefetching the
>    current one but i didnt spend too much time.
>
> Two issues:
>
> 1) We have some cycles to borrow for head entry, we can make
>    prefetch right before rcu_read_lock()
>
> 2) Ideally, hash chains will not exceed 1 (2 at the max)
>    entries.
>

I dont think youll see much benefit with 1 or 2 entries. I was thinking
more along the lines of people with over 100K entries total;
Let me run with this and get back to you.

cheers,
jamal